Bug 1539225 - Pymol loads wrong coordinates from PDB files in some locales
Summary: Pymol loads wrong coordinates from PDB files in some locales
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pymol
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Fenn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-27 00:24 UTC by Sebastian Keller
Modified: 2018-03-11 22:18 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-11 19:59:07 UTC


Attachments (Terms of Use)

Description Sebastian Keller 2018-01-27 00:24:07 UTC
Pymol in rawhide uses wrong coordinates for atoms when loading a PDB file with LC_NUMERIC=de_DE.utf8. It works as expected when using LC_NUMERIC=C.

It seems like pymol attempts to parse floating point coordinates in the PDB file using the LC_NUMERIC specified formatting rather than always using decimal points. This leads to the fractional part of the coordinates being ignored in languages such as German which use commas as decimal separators.

This bug probably is probably triggered by some changes to a different package modifying some default behavior. So far I've not been able to find the responsible package. There were some LC_NUMERIC related changes to the python3 package recently, but downgrading to a previous version does not seem to fix the issue.

Pymol upstream apparently already has a patch to always use "C" which should fix this issue:
https://sourceforge.net/p/pymol/code/4174/

Comment 1 Fedora End Of Life 2018-02-20 15:33:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Fedora Update System 2018-02-27 17:03:31 UTC
pymol-1.9.0-1.20180224svn4178.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-42ac8c298a

Comment 3 Fedora Update System 2018-02-27 17:03:39 UTC
pymol-1.9.0-1.20180224svn4178.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e9b210941

Comment 4 Fedora Update System 2018-02-28 17:37:23 UTC
pymol-1.9.0-1.20180224svn4178.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e9b210941

Comment 5 Fedora Update System 2018-02-28 18:08:32 UTC
pymol-1.9.0-1.20180224svn4178.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-42ac8c298a

Comment 6 Fedora Update System 2018-03-11 19:59:07 UTC
pymol-1.9.0-1.20180224svn4178.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-03-11 22:18:33 UTC
pymol-1.9.0-1.20180224svn4178.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.